play.mvc

## Class Http.WebSocketFrame

- java.lang.Object
- - play.mvc.Http.WebSocketEvent
  - - play.mvc.Http.WebSocketFrame

- Enclosing class:
    Http

      public static class Http.WebSocketFrame
      extends Http.WebSocketEvent

  A Websocket frame

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `binaryData`
    `boolean` | `isBinary`
    `java.lang.String` | `textData`

    - ### Fields inherited from class play.mvc.Http.WebSocketEvent

      `BinaryFrame, SocketClosed, TextFrame`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketFrame(byte[] data)`
    `WebSocketFrame(java.lang.String data)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isBinary

          public final boolean isBinary

    - #### textData

          public final java.lang.String textData

    - #### binaryData

          public final byte[] binaryData

  - ### Constructor Detail

    - #### WebSocketFrame

          public WebSocketFrame(java.lang.String data)

    - #### WebSocketFrame

          public WebSocketFrame(byte[] data)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly